MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006337ardourbugspublic2015-05-19 13:572015-09-04 04:06
ReporterBenLoftis 
Assigned Totimbyr 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.X git (version in description) 
Target VersionFixed in Version4.X git (version in description) 
Summary0006337: switching sessions will crash if you choose "close" in the Audio Setup dialog
DescriptionTo recreate:
Open session A
click "Open", choose session B
in the ensuing Audio Setup dialog, click "Close"
Ardour will visibly hang; click anywhere in the canvas and you will get a segfault (presumably because there is no Session object; bt included in Additional Information)

ALTERNATIVELY:
Open session A
click on a snapshot
in the ensuing Audio Setup dialog, click "Close"

Additional InformationProgram received signal SIGSEGV, Segmentation fault.
0x00000000010476e6 in ARDOUR::Session::transport_rolling (this=0x0) at /home/harrison/a3-git/libs/ardour/ardour/session.h:592
592 bool transport_rolling() const { return _transport_speed != 0.0f; }
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017030)
timbyr (developer)
2015-08-13 23:14

This should be fixed in Ardour master as of rev 07dc8059. confirm if you can. I had to click in the ruler section to reproduce this which exposed another missing check for a valid session.
(0017031)
x42 (administrator)
2015-08-14 04:39

I never get the session dialog when switching sessions.
Not with Session > Open, nor Session > Recent.

The current engine just keeps going.
Session loading fails if the new session has a different sample-rate. I need to manually stop the engine before loading a new session (or re-start ardour).
(0017047)
x42 (administrator)
2015-08-15 21:13

Similar issue: entering timecode in the editor's clock without a session. crashes as well.
(0017056)
timbyr (developer)
2015-08-17 18:13

The crash when clicking in the main clock should be fixed by 6847b597 unless I've missed another cause.

These sorts of bugs are likely to come up again and again.

It would be nice to change it so that the lifecycle of widgets that depended on session objects/instances were always initialized with the instances in a RAII style arrangement so these issues would be avoided. But that would require many changes...
(0017140)
timbyr (developer)
2015-09-04 04:06

This reported bug and the other mentioned should be fixed in ardour master.

- Issue History
Date Modified Username Field Change
2015-05-19 13:57 BenLoftis New Issue
2015-08-13 23:14 timbyr Note Added: 0017030
2015-08-14 04:39 x42 Note Added: 0017031
2015-08-15 21:13 x42 Note Added: 0017047
2015-08-17 18:13 timbyr Note Added: 0017056
2015-09-04 04:06 timbyr Note Added: 0017140
2015-09-04 04:06 timbyr Status new => resolved
2015-09-04 04:06 timbyr Fixed in Version => 4.X git (version in description)
2015-09-04 04:06 timbyr Resolution open => fixed
2015-09-04 04:06 timbyr Assigned To => timbyr


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker